// ========================================================================================
//	EARTH_PT_.h
// ========================================================================================

#ifndef _EARTH_PT__H
#define _EARTH_PT__H

#include "Prefix.h"

namespace EARTH {
namespace PT {
	class Device2 {
	public:
		virtual status SetTsTestMode(bool testMode) = 0;
		virtual status SetRamClockPhase(int phase) = 0;
		virtual status EraseWriteFlash(const void *ptr, uint size, uint index) = 0;

	protected:
		virtual ~Device2() {}
	};
}
}

#endif
